Subject: bug#30298: core-updates: Failure to find the guixbuild group

From: [email-masked] (Ludovic Courtès)
Date: Thu, 01 Feb 2018 00:28:32 +0100

Leo Famulari <[email-masked]> skribis:

> On Wed, Jan 31, 2018 at 11:52:23PM +0100, Ludovic Courtès wrote:
>> > This guix-daemon is based on core-updates commit 76ef53eb828 (gnu:
>> > glslang: Update to commit b5b084624), on x86_64-linux.
>> 
>> If you stop nscd again and “strace -f” guix-daemon entirely, can you
>> check if it ever tries to open libnss_*?
>
> It never does. The strace log I posted previously is the complete log:
>
> https://debbugs.gnu.org/cgi/bugreport.cgi?att=0;bug=30298;msg=8

I think you attached strace to the running guix-daemon process here.
What I meant is that we should trace it from the beginning of its
execution (so either run it by hand or modify the .service file to run
“strace -f guix-daemon …”.)

Ludo’.